/*
 * Created on Jan. 28, 2010
 * Copyright (c) 2010 by SAS Institute Inc., Cary, NC 27513
 */
package com.sas.solutions.brm.errors;

/**
 * Exception thrown by BRM when an error is encountered when running an Ant
 * task.
 * @author davhan
 */
public class BRMAntError extends BRMError
{
    public BRMAntError()
    {
        super();
    }

    public BRMAntError(String message)
    {
        super(message);
    }

    public BRMAntError(Throwable cause)
    {
        super(cause);
    }

    public BRMAntError(String message, Throwable cause)
    {
        super(message, cause);
    }
}
