#!/bin/sh
progdir=`dirname $0`
CLASSPATH="$progdir/classes"
jarfiles="$progdir/lib/*.jar"
for i in ${jarfiles}
do
    # if the directory is empty, then it will return the input string
    # this is stupid, so case for it
    if [ "$i" != "${jarfiles}" ] ; then
        CLASSPATH=$CLASSPATH:"$i"
    fi
done

if [ -z "$JAVA_HOME" ]; then
    # echo "JAVA_HOME is not set"
    java=java
else
    java="$JAVA_HOME/bin/java"
fi

"$java" -version > /dev/null 2>&1
if [ "$?" -ne "0" ]; then
    echo ERROR: Missing: $java
    echo Please set the JAVA_HOME environment variable to a valid Java
    echo installation directory, e.g. /usr/local/jdk1.6.0_02/jre, and
    echo try this command again.
    exit 1
fi

"$java" -cp "$CLASSPATH" groovy.ui.GroovyMain $@
