/*
 * Copyright (c) 2006 by SAS Institute Inc., Cary, NC 27513
 */
package com.sas.solutions.brm;

public class Constants
{
    // Config files
    public static String AGENT_CONFIG_FILE = "brmagent.properties";
    public static String AGENT_COMMAND_FILE = "agentAnt.xml";
    public static String AGENT_CUSTOM_FILE = "customAnt.xml";
    public static String LOG4J_CONFIG_FILE = "brm-log4j.properties";
    public static String BRM_CONFIG_FILE = "brm.properties";
    public static String MIGRATE_CONFIG_FILE = "migrate.ini";

    public static String[] CONFIG_FILES_WARNIFNOTTHERE = [
        AGENT_COMMAND_FILE,
        AGENT_CONFIG_FILE,
        LOG4J_CONFIG_FILE,
        ];

    public static String[] CONFIG_FILES = [
        BRM_CONFIG_FILE, 
        MIGRATE_CONFIG_FILE,
        AGENT_CUSTOM_FILE,
        ];

    // Constants related to the agent
    public static String AGENT_PORT_PROPERTY = "BRM.agent.port";
    public static int AGENT_DEFAULT_PORT = 2206;
}
