/*
 * Created on Apr 13, 2006
 * Copyright (c) 2006 by SAS Institute Inc., Cary, NC 27513
 */
package com.sas.solutions.brm.errors;

/**
 * Exception thrown by the Backup, Restore, and Migrate tool.
 * It is intended that this exception not be thrown directly, but instead
 * throw one of the subclasses: BRMInternalError or BRMUserError.
 * 
 * @author davhan
 *
 */
public class BRMError extends RuntimeException
{

    public BRMError()
    {
        super();
    }

    public BRMError(String message)
    {
        super(message);
    }

    public BRMError(Throwable cause)
    {
        super(cause);
    }

    public BRMError(String message, Throwable cause)
    {
        super(message, cause);
    }

}
