@echo off
setlocal ENABLEDELAYEDEXPANSION
rem Run a Groovy script in the same manner that BRM would, except that
rem only the jars in the lib directory are accessible. The jars in the
rem VJR (Versioned Jar Repository) won't be available to groovy scripts
rem run using this starter script. This is only sufficient for running
rem setup.groovy. The brm.exe launcher is required to run brm.groovy.

set LIBDIR=%~dp0lib
rem echo %LIBDIR%
set CLASSPATH=%~dp0classes
rem echo %CLASSPATH%
for %%i in ("%LIBDIR%\*.jar") do set CLASSPATH=!CLASSPATH!;%%i

rem echo %CLASSPATH%

if not "%JAVA_HOME%" == "" goto :CHECKJAVAHOME

for %%r in (
    "C:\Program Files\Java"
    "C:\Program Files (x86)\Java"
    "C:\Java") do (
    for %%b in ("jdk1.5" "jre1.5" "jdk1.6" "jre1.6" "jre6") do (
        for /d %%i in ("%%~r\%%~b*") do (
            if exist "%%~i" (
                set JAVA_HOME=%%~i
                goto CHECKJAVAHOME
            )
        )
    )
)

rem echo No JAVA_HOME set, using java on the PATH
set JAVA=java
java -version > NUL 2>&1
if "%ERRORLEVEL%" == "0" goto JAVAGOOD

echo ERROR: Could not find java on the command PATH
goto NOJAVA

:CHECKJAVAHOME
rem echo Using JAVA_HOME=%JAVA_HOME%
set JAVA=%JAVA_HOME%\bin\java.exe
if exist "%JAVA%"  goto JAVAGOOD

echo ERROR: Invalid JAVA_HOME directory: "%JAVA_HOME%"
echo ERROR: File does not exist: "%JAVA%"
goto NOJAVA

:JAVAGOOD
"%JAVA%" -cp "%CLASSPATH%" groovy.ui.GroovyMain %*
goto :EOF

:NOJAVA
echo.
echo Please set the JAVA_HOME environment variable to a valid Java
echo installation directory (e.g. C:\Program Files\Java\jre1.5.0_12) and
echo try this command again.
exit /b 1
